#include <bits/stdc++.h>
#include <string>

using namespace std;

int n=0,m=0,i,j,k,br;
int a[100005];
int brKrecenih[10005];
long long minSuma=10000000000000000,s;


void kreci(int index,int tkrec[100005])
{
    if(index==n)
    {
        s=0;
        for(j=0;j<m;j++)
        {
            br=0;
            for(k=0;k<n;k++)
            if(j<tkrec[k])
                br++;
            s=s+br*(m-br);
        }


        if(s<minSuma)
        {
            minSuma=s;
            for(j=0;j<n;j++)
                brKrecenih[j]=tkrec[j];
        }
    }
    else
    {
        tkrec[index]=a[index];
        kreci(index+1,tkrec);
        tkrec[index]=m-a[index];
        kreci(index+1,tkrec);

    }

}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    cin>>n>>m;

    for(i=0;i<n;i++)
        cin>>a[i];

    int tkrec[n];

    kreci(0,tkrec);

    cout<<minSuma;

    return 0;
}